Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2006-0650

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2006-0650
Last Modified 07 Mar 2011 09:30:30
Published 13 Feb 2006 06:06:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2006-0650

Summary

Cross-site scripting (XSS) vulnerability in cpaint2.inc.php in the CPAINT library before 2.0.3, as used in multiple scripts, allows remote attackers to inject arbitrary web script or HTML via the cpaint_response_type parameter, which is displayed in a resulting error message, as demonstrated using a hex-encoded IFRAME tag.

Vulnerable Systems

Application

  • Cpaint 1.0

  • Cpaint 1.01

  • Cpaint 1.2

  • Cpaint 1.3

  • Cpaint 1.3 Sp

  • Cpaint 1.3 Sp1

  • Cpaint 2.0.0

  • Cpaint 2.0.1

  • Cpaint 2.0.2

  • Cpaint Pre1.0


References

XF - cpaint-response-type-xss(24594)

BUGTRAQ - 20060210 CPAINT AJAX Library Cross Site Scripting

MISC - http://www.gulftech.org/?node=research&article_id=00097-02092006

SECUNIA - 18765

VUPEN - ADV-2006-0487

CONFIRM - http://cpaint.booleansystems.com/forums/viewtopic.php?t=98

BID - 16559

SECTRACK - 1015608


Last Updated: 27 May 2016 10:41:44